Index: client_side.c
===================================================================
RCS file: /cvsroot/squid/squid/src/client_side.c,v
retrieving revision 1.1.1.3.4.1.2.49
diff -u -p -r1.1.1.3.4.1.2.49 client_side.c
--- client_side.c	2001/05/18 10:00:53	1.1.1.3.4.1.2.49
+++ client_side.c	2001/06/11 12:32:08
@@ -322,8 +322,10 @@ clientRedirectDone(void *data, char *res
 	new_request->my_addr = old_request->my_addr;
 	new_request->my_port = old_request->my_port;
 	new_request->flags.redirected = 1;
-	new_request->auth_user_request = old_request->auth_user_request;
-	authenticateAuthUserRequestLock(new_request->auth_user_request);
+	if (old_request->auth_user_request) {
+	    new_request->auth_user_request = old_request->auth_user_request;
+	    authenticateAuthUserRequestLock(new_request->auth_user_request);
+	}
 	if (old_request->body_connection) {
 	    new_request->body_connection = old_request->body_connection;
 	    old_request->body_connection = NULL;

